<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Behold, Behemoth</Series>
  <Number>2</Number>
  <Web>https://www.amazon.com/dp/B0BLTZWNHR</Web>
  <Summary>Just what happened between the past and the present to create a world so overrun by supernatural monstrosities? 

Meanwhile, Wren and Grey continue their journey across the apocalyptic landscape, hiding their true selves and struggling to suppress their inner demons...</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BLTZWNHR]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Supernatural/Occult, Horror, Crime</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
